Según datos de W3Techs, más del 60% de las empresas utilizan una versión de PHP que dejará de tener soporte el 31 de diciembre.

El próximo mes de Enero de 2019, más de la mitad de las empresas encontrarán que su web se va a encontrar en una situación muy comprometida. Según datos de W3Techs, más del 60% de las empresas tienen una versión obsoleta de PHP en su página web. Se trata, en concreto, de las versiones PHP 5.x y PHP 5.6.

El 31 de diciembre ambas versiones dejarán de gozar de un servicio de soporte. Esto quiere decir que ya no tendrán disponibles actualizaciones de seguridad para su servidor y para cualquier tecnología de grado inferior.

¿Qué es PHP?

PHP son las siglas de “Hypertext Pre-Processor” y es el lenguaje que hace posible la visualización de contenido dinámico en las páginas web. Permite que las páginas sean más interactivas, mejorando así su usabilidad y experiencia de usuario.

¿Por qué se trata de un problema tan grave?

Esto supone que, a día 1 de enero de 2019, muchos millones de webs estarán en peligro. Su seguridad ya no estará garantizada y se expondrán a todo tipo de posibles ataques o problemas. Como es evidente, esta situación afectará tanto a empresas como a usuarios, puesto que muchos usuarios verán como sites que disponen de sus datos no tienen la seguridad garantizada.

Los nuevos usuarios también experimentarán problemas al querer acceder a webs con las versiones de PHP anteriormente mencionadas.

¿Cómo se ha llegado a esta situación?

Recientemente se ha vivido una situación similar con el HTTPS. Muchas webs tardaron más que lo que debían en implantar el nuevo protocolo (algunas todavía no lo han hecho), lo que produjo que muchas no fueran seguras.

Los usuarios reciben un aviso de que la web a la que están accediendo no es segura, lo que implica un gran perjuicio para la página en cuestión y la empresa u organización que represente.